<?php

//  _____               _           _
// |   __|___ ___ ___ _| |___ _____| |_ ___ ___ ___
// |   __|  _| -_| -_| . | . |     | . | . |   | -_|
// |__|  |_| |___|___|___|___|_|_|_|___|___|_|_|___|
//
//                              Freedom in the Cloud
//
// This receives the yes/no confirmation before a restore
//
// License
// =======
//
// Copyright (C) 2018 Bob Mottram <bob@freedombone.net>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

$output_filename = "backup.html";

if (isset($_POST['restoreconfirmsubmit'])) {
    if(isset($_POST['restoreconfirm'])) {
        $confirm = htmlspecialchars($_POST['restoreconfirm']);

        if($confirm == "1") {
            if(! file_exists(".start_restore")) {
                exec('touch .start_restore');
            }
            exec('cp restore_progress_template.html restore_progress.html');
            $output_filename = "restore_progress.html";
        }
        else {
            if(file_exists(".start_restore")) {
                exec('rm .start_restore');
            }
        }
    }
}

$htmlfile = fopen("$output_filename", "r") or die("Unable to open $output_filename");
echo fread($htmlfile,filesize("$output_filename"));
fclose($htmlfile);

?>
