<?php

//  _____               _           _
// |   __|___ ___ ___ _| |___ _____| |_ ___ ___ ___
// |   __|  _| -_| -_| . | . |     | . | . |   | -_|
// |__|  |_| |___|___|___|___|_|_|_|___|___|_|_|___|
//
//                              Freedom in the Cloud
//
// Pleroma settings menu
//
// License
// =======
//
// Copyright (C) 2018 Bob Mottram <bob@freedombone.net>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

$output_filename = "settings_pleroma.html";

if (isset($_POST['submitallowregistrations'])) {
    $confirm = htmlspecialchars($_POST['allowregistrations']);
    $settings_file = fopen(".appsettings.txt", "w") or die("Unable to write to appsettings file");
    fwrite($settings_file, "pleroma,registration,".$confirm);
    fclose($settings_file);
}

if (isset($_POST['submitemoji'])) {
    $shortcode = htmlspecialchars($_POST['emoji_shortcode']);
    if (strpos($shortcode, ' ') === false) {
        $url = htmlspecialchars($_POST['emoji_url']);
        if (strpos($url, ' ') === false) {
            $settings_file = fopen(".appsettings.txt", "w") or die("Unable to write to appsettings file");
            fwrite($settings_file, "pleroma,emoji,".$shortcode.' '.$url);
            fclose($settings_file);
        }
    }
}

if (isset($_POST['submitbackground'])) {
    $url = htmlspecialchars($_POST['background_url']);
    if (strpos($url, ' ') === false) {
        $settings_file = fopen(".appsettings.txt", "w") or die("Unable to write to appsettings file");
        fwrite($settings_file, "pleroma,background,".$url);
        fclose($settings_file);
    }
}

$htmlfile = fopen("$output_filename", "r") or die("Unable to open $output_filename");
echo fread($htmlfile,filesize("$output_filename"));
fclose($htmlfile);

?>
