<?php

//  _____               _           _
// |   __|___ ___ ___ _| |___ _____| |_ ___ ___ ___
// |   __|  _| -_| -_| . | . |     | . | . |   | -_|
// |__|  |_| |___|___|___|___|_|_|_|___|___|_|_|___|
//
//                              Freedom in the Cloud
//
// For clearnet setup this receives the preferred domain name
// and then begins the install by creating the setup.txt file
// which is detected by the webadmin daemon (freedombone-installer)
//
// License
// =======
//
// Copyright (C) 2018 Bob Mottram <bob@freedombone.net>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

$output_filename = "index.html";

if (isset($_POST['setupdomain'])) {
    $install_domain = htmlspecialchars($_POST['default_domain_name']);

    if (preg_match('/^[a-z\d_\.\-]{4,128}$/i', $install_domain)) {
        $domain_file = fopen(".temp_domain.txt", "w") or die("Unable to write to domain file");
        fwrite($domain_file, $install_domain);
        fclose($domain_file);
    }

    if(file_exists(".temp_setup.txt")) {
        exec('mv .temp_setup.txt setup.txt');
        exec('cp setup_installing.html index.html');
    }

    $output_filename = "setup_installing.html";
}

$htmlfile = fopen("$output_filename", "r") or die("Unable to open $output_filename");
echo fread($htmlfile,filesize("$output_filename"));
fclose($htmlfile);

?>
