<?php

//  _____               _           _
// |   __|___ ___ ___ _| |___ _____| |_ ___ ___ ___
// |   __|  _| -_| -_| . | . |     | . | . |   | -_|
// |__|  |_| |___|___|___|___|_|_|_|___|___|_|_|___|
//
//                              Freedom in the Cloud
//
// Enable or disable ssh
//
// License
// =======
//
// Copyright (C) 2018 Bob Mottram <bob@freedombone.net>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

$output_filename = "settings.html";

if (isset($_POST['submitssh'])) {
    $confirm = htmlspecialchars($_POST['sshconfirm']);

    $ssh_file = fopen(".ssh.txt", "w") or die("Unable to create ssh file");
    fwrite($ssh_file, '0,');
    fclose($ssh_file);
    $output_filename = "ssh_disabled.html";

    $publickey = htmlspecialchars($_POST['publickey']);

    if(($confirm == "1") || (strlen($publickey) > 10)) {

        if (substr($publickey, 0, 4) === "ssh-") {
            $ssh_file = fopen(".ssh.txt", "w") or die("Unable to create ssh file");
            fwrite($ssh_file, '1,'.$publickey);
            fclose($ssh_file);

            $host=gethostname();
            exec('sed -i "s|HOSTNAME|'.$host.'|g" ssh_enabled.html');

            $output_filename = "ssh_enabled.html";
        }
        else {
            $output_filename = "ssh_no_public_key.html";
        }
    }
}

$htmlfile = fopen("$output_filename", "r") or die("Unable to open $output_filename");
echo fread($htmlfile,filesize("$output_filename"));
fclose($htmlfile);

?>
