<?php

//  _____               _           _
// |   __|___ ___ ___ _| |___ _____| |_ ___ ___ ___
// |   __|  _| -_| -_| . | . |     | . | . |   | -_|
// |__|  |_| |___|___|___|___|_|_|_|___|___|_|_|___|
//
//                              Freedom in the Cloud
//
// Changes the password for a user
//
// License
// =======
//
// Copyright (C) 2018 Bob Mottram <bob@freedombone.net>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

$output_filename = "users.html";

if (isset($_POST['submitacceptpassword'])) {
    $username = htmlspecialchars($_POST['myuser']);
    $newpassword = htmlspecialchars($_POST['mypassword']);

    // Get a random temp file name
    // Note that we don't use the temp file directly because it gets
    // deleted when out of scope of this function
    // On this sytem temp files are only stored on a ram disk
    $temp_file = tmpfile();
    $password_file_path = stream_get_meta_data($temp_file)['uri'].random_int(0,9999);
    fclose($temp_file);

    $temp_file = fopen($password_file_path, "w") or die("Unable to create temp file");
    fwrite($temp_file, $username.",".$newpassword);
    fclose($temp_file);

    $password_file = fopen("changepassword.dat", "w") or die("Unable to create changepassword file");
    fwrite($password_file, $password_file_path);
    fclose($password_file);

    sleep(5);

    $output_filename = "password_changed.html";
}

$htmlfile = fopen("$output_filename", "r") or die("Unable to open $output_filename");
echo fread($htmlfile,filesize("$output_filename"));
fclose($htmlfile);

exec('rm password_confirm.html');

?>
